Passive data
============
[![Pub Package](https://img.shields.io/pub/v/passive_data.svg)](https://pub.dartlang.org/packages/passive_data)
[![Build Status](https://travis-ci.org/molview/passive-data.svg?branch=dev)](https://travis-ci.org/molview/passive-data/)
[![Coverage Status](https://coveralls.io/repos/github/molview/passive-data/badge.svg?branch=dev)](https://coveralls.io/github/molview/passive-data?branch=dev)

This package contains tools to deal with passive data structures in Dart. It is
designed for usage within Omnibus, but it could be used for other projects as
well.

Specification
-------------
Passive data structures in this package allow the following Dart types (note
that these are still subject to change).

- `dynamic` (allowed but not recommended)
- `null` (empty fields)
- `num` (integer or floating point)
- `bool`
- `String`
- `List`
- `Map<String`
- `Map<int`

Other keys that String or int are currently not supported to discourage the
usage of different map keys (they make the data significantly more complex).
