// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

library passive_data.test.test_all;

import 'package:test/test.dart';

import 'parse_test.dart' as parse_test;
import 'is_pds_type_test.dart' as is_pds_type_test;
import 'generate_code_test.dart' as generate_code_test;
import 'complementary_test.dart' as complementary_test;

void main() {
  group('parse', parse_test.main);
  group('isPdsType', is_pds_type_test.main);
  group('generate code', generate_code_test.main);
  group('isComplementaryPdsType', complementary_test.main);
}
